<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.jdbc-realm.principal-query">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="sql,data-source,attribute-mapping,clear-password-mapper,bcrypt-mapper,salted-simple-digest-mapper,simple-digest-mapper,scram-mapper,modular-crypt-mapper"/>
        <elem name="complex-attribute" value="principal-query"/>
        <elem name="addr-params" value="profile,host,subsystem,jdbc-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.jdbc-realm"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="simple-digest-mapper" nillable="true"/>
        <param name="bcrypt-mapper" nillable="true"/>
        <param name="scram-mapper" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="sql"/>
        <param name="attribute-mapping" nillable="true" type="List&lt;String&gt;"/>
        <param name="salted-simple-digest-mapper" nillable="true"/>
        <param name="clear-password-mapper" nillable="true"/>
        <param name="data-source"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="jdbc-realm"/>
        <param name="modular-crypt-mapper" nillable="true"/>
    </params>
</feature-spec>